<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__tcpwm__functions__shiftreg" kind="group">
    <compoundname>group_tcpwm_functions_shiftreg</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga27ccde728fcdfe2250918da270d158de" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__tcpwm__enums_1ga236beaba02c8a2a1c4eec981501e7270">cy_en_tcpwm_status_t</ref></type>
        <definition>cy_en_tcpwm_status_t Cy_TCPWM_ShiftReg_Init</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum, cy_stc_tcpwm_shiftreg_config_t const *config)</argsstring>
        <name>Cy_TCPWM_ShiftReg_Init</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__tcpwm__shiftreg__config__t">cy_stc_tcpwm_shiftreg_config_t</ref> const *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Initializes the counter in the TCPWM block for the Shift Register operation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a configuration structure. See <ref kindref="compound" refid="structcy__stc__tcpwm__shiftreg__config__t">cy_stc_tcpwm_shiftreg_config_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>error / status code. See <ref kindref="member" refid="group__group__tcpwm__enums_1ga236beaba02c8a2a1c4eec981501e7270">cy_en_tcpwm_status_t</ref>.</para></simplesect>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="120" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_tcpwm_shiftreg.c" bodystart="55" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="160" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga3a6f5b87799186d44d024007a50bcaf9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_TCPWM_ShiftReg_DeInit</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum, cy_stc_tcpwm_shiftreg_config_t const *config)</argsstring>
        <name>Cy_TCPWM_ShiftReg_DeInit</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__tcpwm__shiftreg__config__t">cy_stc_tcpwm_shiftreg_config_t</ref> const *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>De-initializes the counter in the TCPWM block, returns register values to default. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a configuration structure. See <ref kindref="compound" refid="structcy__stc__tcpwm__shiftreg__config__t">cy_stc_tcpwm_shiftreg_config_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="163" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_tcpwm_shiftreg.c" bodystart="141" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="161" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga66d1c366130d20469af69a2d41016727" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_ShiftReg_Enable</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_ShiftReg_Enable</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Enables the counter in the TCPWM block for the Shift Register operation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="200" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="197" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="162" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga994a97164fdc6309ac56c1bd498a67fb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_ShiftReg_Disable</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_ShiftReg_Disable</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Disables the counter in the TCPWM block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="220" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="217" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="163" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga45c50325effedc0dc9a4805fe287c2bd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_TCPWM_ShiftReg_GetStatus</definition>
        <argsstring>(TCPWM_Type const *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_ShiftReg_GetStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Returns the status of the Shift Register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status. See <ref kindref="compound" refid="group__group__tcpwm__shiftreg__status">Shift Register Status</ref></para></simplesect>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="251" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="241" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="164" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga02136c4ff9a12ef1709cd3b3aede46b3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_ShiftReg_SetCompare0Val</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum, uint32_t compare0)</argsstring>
        <name>Cy_TCPWM_ShiftReg_SetCompare0Val</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>compare0</declname>
        </param>
        <briefdescription>
<para>Sets the compare value for Compare0 when the compare mode enabled. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>compare0</parametername>
</parameternamelist>
<parameterdescription>
<para>The Compare0 value.</para></parameterdescription>
</parameteritem>
</parameterlist>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="275" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="272" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="165" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1gac864ecf4ea1ad215bcb5415d14b4b65c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_TCPWM_ShiftReg_GetCompare0Val</definition>
        <argsstring>(TCPWM_Type const *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_ShiftReg_GetCompare0Val</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Returns compare value 0. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Compare value 0.</para></simplesect>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="299" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="296" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="166" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga41f2f004ad5da139a82e14064a088fa6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_ShiftReg_SetCompare0BufVal</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum, uint32_t compare1)</argsstring>
        <name>Cy_TCPWM_ShiftReg_SetCompare0BufVal</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>compareBuf0</declname>
          <defname>compare1</defname>
        </param>
        <briefdescription>
<para>Sets the buffered compare value for Compare0 when the compare mode enabled. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>compare1</parametername>
</parameternamelist>
<parameterdescription>
<para>The buffered Compare0 value.</para></parameterdescription>
</parameteritem>
</parameterlist>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="323" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="320" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="167" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1gafe9b2d7c72af9c6308cca9e6cca4730c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_TCPWM_ShiftReg_GetCompare0BufVal</definition>
        <argsstring>(TCPWM_Type const *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_ShiftReg_GetCompare0BufVal</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Returns the buffered compare0 value. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Buffered compare0 value.</para></simplesect>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="347" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="344" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="168" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga50ae8e3bf88af7f67ec871339ceb8ce8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_ShiftReg_EnableCompare0Swap</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum, bool enable)</argsstring>
        <name>Cy_TCPWM_ShiftReg_EnableCompare0Swap</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Enables the comparison swap of compare0 and compareBuf0 on corresponding command or external trigger. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>enable</parametername>
</parameternamelist>
<parameterdescription>
<para>true = swap enabled; false = swap disabled</para></parameterdescription>
</parameteritem>
</parameterlist>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="460" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="457" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="169" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga2d444836d6c8015b59fbad627190f7f5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_ShiftReg_SetCompare1Val</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum, uint32_t compare1)</argsstring>
        <name>Cy_TCPWM_ShiftReg_SetCompare1Val</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>compare1</declname>
        </param>
        <briefdescription>
<para>Sets the compare value for Compare1 when the compare mode enabled. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>compare1</parametername>
</parameternamelist>
<parameterdescription>
<para>The Compare1 value. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="369" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="366" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="170" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga96d2c72772b3a8944d2d4dd6e525f0be" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_TCPWM_ShiftReg_GetCompare1Val</definition>
        <argsstring>(TCPWM_Type const *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_ShiftReg_GetCompare1Val</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Returns compare value 1. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Compare value 1. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="391" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="388" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="171" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1gac0ed09dae23bbeea192409be29d04cec" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_ShiftReg_SetCompare1BufVal</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum, uint32_t compareBuf1)</argsstring>
        <name>Cy_TCPWM_ShiftReg_SetCompare1BufVal</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>compareBuf1</declname>
        </param>
        <briefdescription>
<para>Sets the buffered compare value for Compare1 when the compare mode enabled. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>compareBuf1</parametername>
</parameternamelist>
<parameterdescription>
<para>The buffered Compare1 value. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="414" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="411" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="172" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga852928eca1da173c466edbf694ae0c7f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_TCPWM_ShiftReg_GetCompare1BufVal</definition>
        <argsstring>(TCPWM_Type const *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_ShiftReg_GetCompare1BufVal</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Returns the buffered compare1 value. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Buffered compare1 value. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="436" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="433" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="173" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1gae9aa87161096ef41bb9d7f9b2fe92fa7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_ShiftReg_EnableCompare1Swap</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum, bool enable)</argsstring>
        <name>Cy_TCPWM_ShiftReg_EnableCompare1Swap</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Enables the comparison swap of compare1 and compareBuf1 on corresponding command or external trigger. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>enable</parametername>
</parameternamelist>
<parameterdescription>
<para>true = swap enabled; false = swap disabled </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="483" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="480" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="174" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1gab4b99149e681bf5fd680462a2edc864a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_ShiftReg_SetCounter</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum, uint32_t count)</argsstring>
        <name>Cy_TCPWM_ShiftReg_SetCounter</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>count</declname>
        </param>
        <briefdescription>
<para>Sets the value of the counter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>count</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to write into the counter.</para></parameterdescription>
</parameteritem>
</parameterlist>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="507" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="504" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="175" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga291cd2d49e11dc04e9823d62351a998e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_TCPWM_ShiftReg_GetCounter</definition>
        <argsstring>(TCPWM_Type const *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_ShiftReg_GetCounter</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Returns the value in the counter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current counter value.</para></simplesect>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="531" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="528" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="176" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga62e3ebf5e164e1a69c771305b0f48fd7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_TCPWM_ShiftReg_SetTaps</definition>
        <argsstring>(TCPWM_Type *base, uint32_t cntNum, uint32_t taps)</argsstring>
        <name>Cy_TCPWM_ShiftReg_SetTaps</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>period1</declname>
          <defname>taps</defname>
        </param>
        <briefdescription>
<para>Sets which taps are enabled. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>taps</parametername>
</parameternamelist>
<parameterdescription>
<para>The taps that will be enabled.</para></parameterdescription>
</parameteritem>
</parameterlist>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="558" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="552" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="177" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga0a85feba92416e04dac2d57f7b1657d6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_TCPWM_ShiftReg_GetTaps</definition>
        <argsstring>(TCPWM_Type const *base, uint32_t cntNum)</argsstring>
        <name>Cy_TCPWM_ShiftReg_GetTaps</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <briefdescription>
<para>Returns which taps are enabled. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a COUNTER PWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns which taps are enabled.</para></simplesect>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="589" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="579" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="178" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__tcpwm__functions__shiftreg_1ga371b9f1aaf90d7ec07bf096de7639cc6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_TCPWM_ShiftReg_LineOutStatus</definition>
        <argsstring>(TCPWM_Type const *base, uint32_t cntNum, uint32_t shiftRegOutSelect)</argsstring>
        <name>Cy_TCPWM_ShiftReg_LineOutStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_t_c_p_w_m___type">TCPWM_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cntNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>shiftRegOutSelect</declname>
        </param>
        <briefdescription>
<para>Returns the current level of the selected Shift Register output line. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a TCPWM instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cntNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The Counter instance number in the selected TCPWM.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>shiftRegOutSelect</parametername>
</parameternamelist>
<parameterdescription>
<para>Defines which Shift Register output line is being checked: line_out or line_out_inv.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current Shift Register output line level.</para></simplesect>
snippet TBD </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="642" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" bodystart="613" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_shiftreg.h" line="179" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>